Cutecoin 0.10.2 can't run

Salut à tous,
ça fait plusieurs semaine que le logicel Cutecoin refuse de se lancer (sur gnu/linux), je n’ai pas de message d’erreur, juste rien ne se passe. Un ami vient de l’installer sur son ordi gnu/linux et rien ne se passe non plus… Vous avez une idée?

Hi everyone,
since few weeks cutecoin refuses to open (on gnu/linux), no error messages, just nothing happens… A friend just installed it on his gnu/linux machine and nothing happens neither… Any idea?

Cheers!
Magali

Très étrange… Peux-tu le lancer par la ligne de commande et copier coller le retour ?

./cutecoin

En fait le tar.gz a été déployé ds le dossier Home (/home/magmint/CuteCoin 0.10.2/exe.linux-x86_64-3.4),
donc quand je fait la ligne de commande il me dit qu’il ne la trouve pas.
Honnêtement, je sais pas quel peut être le bug, car je l’utilisais bien jusqu’à y a pas si longtemps, je t’ai même fait une transaction Inso avec cette version. Et mon ami vient juste de l’installer et il ne se lance pas non plus…

Es-tu sûre d’utiliser un linux 64 bits ?

Pour les linux 32 bits : https://github.com/ucoin-io/cutecoin/releases/download/0.10.2/exe.ubuntu-i686-3.4.tar.gz

à fond et il marchait de toute façon avant qu’il ne veuille plus s’ouvrir

cd /home/magmint/CuteCoin 0.10.2/exe.linux-x86_64-3.4 && ./cutecoin

Que cela donne-t-il ?

ça donne ça : "Aucun fichier ou dossier de ce type"
après j’ai glisser déposer l’application cutecoin ds le terminal et ça donne ça, peut-être ça vous dira quelque chose ?

'/home/magmint/CuteCoin 0.10.2/exe.linux-x86_64-3.4/cutecoin’
Traceback (most recent call last):
File “/usr/local/lib/python3.4/dist-packages/cx_Freeze-4.3.3-py3.4-linux-x86_64.egg/cx_Freeze/initscripts/Console.py”, line 27, in
File “src/cutecoin/main.py”, line 12, in
File “/usr/lib/python3.4/importlib/_bootstrap.py”, line 2214, in _find_and_load
return find_and_load_unlocked(name, import)
File “/usr/lib/python3.4/importlib/_bootstrap.py”, line 2189, in _find_and_load_unlocked
call_with_frames_removed(import, parent)
File “/usr/lib/python3.4/importlib/_bootstrap.py”, line 321, in _call_with_frames_removed
return f(*args, **kwds)
File “/usr/lib/python3.4/importlib/_bootstrap.py”, line 2214, in _find_and_load
return find_and_load_unlocked(name, import)
File “/usr/lib/python3.4/importlib/_bootstrap.py”, line 2203, in _find_and_load_unlocked
module = _SpecMethods(spec)._load_unlocked()
File “/usr/lib/python3.4/importlib/_bootstrap.py”, line 1191, in _load_unlocked
return self._load_backward_compatible()
File “/usr/lib/python3.4/importlib/_bootstrap.py”, line 1161, in _load_backward_compatible
spec.loader.load_module(spec.name)
File “/home/gael/cutecoin/src/cutecoin/gui/init.py”, line 6, in
File “/usr/lib/python3.4/importlib/_bootstrap.py”, line 2261, in _handle_fromlist
call_with_frames_removed(import, from_name)
File “/usr/lib/python3.4/importlib/_bootstrap.py”, line 321, in _call_with_frames_removed
return f(*args, **kwds)
File “/usr/lib/python3.4/importlib/_bootstrap.py”, line 2214, in _find_and_load
return find_and_load_unlocked(name, import)
File “/usr/lib/python3.4/importlib/_bootstrap.py”, line 2203, in _find_and_load_unlocked
module = _SpecMethods(spec)._load_unlocked()
File “/usr/lib/python3.4/importlib/_bootstrap.py”, line 1191, in _load_unlocked
return self._load_backward_compatible()
File “/usr/lib/python3.4/importlib/_bootstrap.py”, line 1161, in _load_backward_compatible
spec.loader.load_module(spec.name)
File “ExtensionLoader_PyQt5_QtSvg.py”, line 22, in
File “ExtensionLoader_PyQt5_QtSvg.py”, line 14, in bootstrap
ImportError: libQt5Svg.so.5: cannot open shared object file: No such file or directory

Du coup j’ai cherché ça : libQt5Svg.so.5
et l’ai installé via synaptic en tapant ceci : libQt5Svg et ça a marché!!!
Aucune idée de pourquoi cette lib avait disparu… peut-être lors d’une update…

Désolée pour le dérangement!! et pour mon ami, il lui manquait libsodium.
Et merci de m’avoir aidée à chercher et à trouver!

Arf mais du coup, j’ai dépassé le temps où j’aurais dû renouveler mon statut… :confused:

1 « J'aime »

Wow tu as trouvé toute seule vraiment bravo ! Et bah tu n’as plus qu’à renouveler ton adhésion et à remonter le topic ou tu demandes des signatures :slight_smile:

C’est quand même bizarre que toutes les libs ne soient pas incluses avec le cx_freeze…!!!
Le but de cx_freeze c’est de faire plug and play non ?

Oui c’est un problème de build. Je pense qu’il faut inclure QtSvg quelquepart dans le code pour forcer cxfreeze à intégrer la lib et ses dépendances. Pour libsodium, je ne suis pas sûr de pouvoir le faire par contre… Petit risque que ça soit une lib trop proche du système…

Bonjour aux développeurs.
Je suis désolé de vous posez cette question mais j’essai de comprendre, je ne trouve pas la visualisation du blockchaine sur ucoin comme par exemple avec bitcoin.
Et aussi pourquoi il n’y a que 16 Membles dans information général (nous devrions augmenter)?
Salutations.

La blockchain est très lente dernièrement (on a un seul noeud qui mine et sa difficulté a dut etre augmentée artificiellement…). Mais ça devrait se débloquer dans la journée (et la communauté va s’élargir à ce moment là).

Qu’est-ce que tu entends par “visualiser la blockchain” ? Quelquechose comme ça ?
http://www.metab.ucoin.io/#/home

oui je pense que c sa
Voir les transactions comme sur cette adresse : https://blockchain.info/fr/
salutations.

On a pas de visualiseur exactement comme celui. D’ailleurs, ça pourrait être intéressant d’améliorer le visualiseur développé par cgeek.

1 « J'aime »

Oui, c’était un petit prototype fait sur un coin de table. Il y a moyen de faire 1000 fois mieux !

Je préfère celui de cgeek, de loin

Bonjour,
La toile de confiance sur le site du Blockchain je trouve génial.
Pour voir les transactions pas évident de retrouver ces échanges réalisés.

Salutations.

2 « J'aime »

Hello,
I am new to ucoin and looking forward to test it out.
Sadly I had the same error like described above:


Warning: PyQt5 development utilities (pyuic5 and pyrcc5) not found
Unable to install praxes’ graphical user interface

Currently I use Unbuntu.
I downloaded the sakia 0.11.2 for unbuntu.

Sorry for asking the same, but I did not understand what google translate made out of the french posts here :smile:

thank you for your help!
Martin

Hello Arcurus and welcome,

What version of ubuntu are you using ? Can you give us the version number (14.04 for example), and the CPU (32 bits / 64 bits) please ?